Skip to main content
GET
List products

Authorizations

Authorization
string
header
required

An API token from Sign in, sent as Authorization: Bearer <token>. Tokens last 30 days.

Query Parameters

include
string

Comma-separated list of relationships to include.

Available options: parent, variants, uom, uomPO, category, attributes, attribute_values, tags, company, creator, propertyAccountIncome, propertyAccountExpense, routes, responsible

Example:

"category,tags,routes"

filter[id]
string

Comma-separated list of IDs to filter by

Example:

"architecto"

filter[name]
string

Filter by product name (partial match)

Example:

"Widget"

filter[type]
string

Filter by product type values

Example:

"goods"

filter[enable_sales]
boolean

Filter by sales enabled

Example:

"true"

filter[enable_purchase]
boolean

Filter by purchase enabled

Example:

"true"

filter[category_id]
string

Filter by category IDs

Example:

"architecto"

filter[tracking]
string

Filter by tracking values

Example:

"qty"

filter[is_storable]
boolean

Filter by storable products

Example:

"true"

filter[responsible_id]
string

Filter by responsible user IDs

Example:

"architecto"

filter[trashed]
string

Filter by trashed status ("with" or "only")

Example:

"with"

sort
string

Sort field

Example:

"-created_at"

Response

Success